<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" version="1.0">

  <!-- 
    Capture all definitions names in a space separated list.
  -->
  <xsl:variable name="definitions">
    <xsl:for-each select="/wsdlfilelist/entry">
      <xsl:sort select="@filename"/>
	<xsl:value-of select="@filename"/>
      <xsl:text>;</xsl:text>
    </xsl:for-each>
  </xsl:variable>

  <xsl:template name="formatDefinition">
    <xsl:param name="nm"/>

    <xsl:variable name="fname">
      <xsl:call-template name="filenameFix">
        <xsl:with-param name="wsdlFileName" select="$nm"/>
      </xsl:call-template>
    </xsl:variable>

  <xsl:variable name="fmtName">
    <xsl:call-template name="makeShortName">
      <xsl:with-param name="name" select="$fname"/>
    </xsl:call-template>
  </xsl:variable>

      <BR />
      <A HREF="{concat($fmtName,'/definitions-frame.html')}" TARGET="listFrame">
        <xsl:value-of select="$fmtName"/>
      </A>
  </xsl:template>

  <xsl:template name="processDefString">
    <xsl:param name="list"/>

    <xsl:choose>
      <xsl:when test="not(string-length(normalize-space($list)))">
        <!-- LIST EMPTY TERMINATE RECURSION -->
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="head">
          <xsl:value-of select="substring-before($list, ';')"/>
        </xsl:variable>
        <xsl:variable name="remainder">
         <xsl:value-of select="substring-after($list, ';')"/>
        </xsl:variable>
        <xsl:call-template name="formatDefinition">
          <xsl:with-param name="nm" select="$head"/>
        </xsl:call-template>
        <xsl:call-template name="processDefString">
          <xsl:with-param name="list" select="$remainder"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="buildDefinitionsList">
  <redirect:write select="concat($outputDir,'definitions-list.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:text>Definitions</xsl:text>
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <TABLE BORDER="0" WIDTH="100%">
    <TR>
    <TD>
    <FONT CLASS="FrameItemFont">
    <A HREF="subelement-list.html" TARGET="listFrame">All Definitions</A>
    <P></P>
    <FONT size="+1" CLASS="FrameHeadingFont">Definitions</FONT>
    <xsl:call-template name="processDefString">
      <xsl:with-param name="list" select="$definitions"/>
    </xsl:call-template>
    </FONT>
    </TD>
    </TR>
    </TABLE>
    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>

</xsl:stylesheet>
