<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" version="1.0">

  <xsl:template name="buildHelpDoc">
  <redirect:write select="concat($outputDir,'help-doc.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:text>Help</xsl:text>
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <xsl:call-template name="topNavbar">
      <xsl:with-param name="pageType" select="'help'"/>
      <xsl:with-param name="label" select="'WSDL Doc Help'"/>
    </xsl:call-template>

    <CENTER>
    <H1>
    How This Document Is Organized</H1>
    </CENTER>
    This document has pages corresponding to the items in the
    navigation bar, described as follows.

    <H3>
    Overview</H3>
    <BLOCKQUOTE>
    <P>
    The <A HREF="overview-summary.html">Overview</A> page is the front
    page of this document and provides a list of files formatted
    by the wsdldoc tool with a summary for each.
    </P>
    </BLOCKQUOTE>

    <H3>
    Definitions</H3>
    <BLOCKQUOTE>    
    <P>
    Each file has a page that contains a list of its definitions, with
    a summary for each. This page can contain five categories
    corresponding to the five top level definition elements appearing
    in the order in which they are introduced in the WSDL specification:
    </P>
    <UL>
    <LI>Types</LI>
    <LI>Messages</LI>
    <LI>PortTypes</LI>
    <LI>Bindings</LI>
    <LI>Services</LI>
    </UL>
    </BLOCKQUOTE>

    <H3>
    Binding</H3>
    <BLOCKQUOTE>
    <P>
    Each wsdl:binding element has its own separate page. Each of these
    pages has three sections consisting of a binding description, an
    operation summary table whose entries relate the binding operation
    name to protocol specific binding information (e.g. a SOAP
    action), and detailed descriptions of each operation that contains
    the operation name and the operation's wsdl:documentation content,
    if any.
    </P>
    </BLOCKQUOTE>

    <H3>
    Message</H3>
    <BLOCKQUOTE>
    <P>
    Each wsdl:message element has its own separate page. Each of these
    pages has three sections consisting of a message description, a
    part summary table whose entries match part names with their
    referenced types or elements, and a detailed description of each
    part that contains the part name and the part's wsdl:documentation
    content, if any.
    </P>
    </BLOCKQUOTE>

    <H3>
    PortType</H3>
    <BLOCKQUOTE>
    <P>
    Each wsdl:portType element has its own separate page. Each of
    these pages has three sections consisting of a porttype
    description including all known bindings, an operation summary
    table, and a detailed description of each operation that contains
    a pseudo-signature and the operation's wsdl:documentation content,
    if any.
    </P>
    </BLOCKQUOTE>

    <H3>
    Service</H3>
    <BLOCKQUOTE>
    <P>
    Each wsdl:service element has its own separate page. Each of these
    pages has three sections consisting of a service description, a
    port summary table whose entries match port names with their
    protocol specific port information (e.g. a SOAP address), and a
    detailed description of each port that contains the port's
    wsdl:documentation content, if any.
    </P>
    </BLOCKQUOTE>

    <H3>
    Types</H3>
    <BLOCKQUOTE>
    <P>
    Each wsdl:types element has its own separate page. Each of these
    pages consists of a heading and the content of the wsdl:types as
    it appears in the WSDL file.
    </P>
    </BLOCKQUOTE>

    <H3>
    Operation Index</H3>
    <BLOCKQUOTE>
    The <A HREF="operation-index.html">Op Index</A> contains an
    alphabetic list of all operations defined in wsdl:portType
    elements across all processed WSDL files .
    </BLOCKQUOTE>

    <H3>
    Help</H3>
    <BLOCKQUOTE>
    <P>
    A link to this file.
    </P>
    </BLOCKQUOTE>
    <BR />

    <xsl:call-template name="botNavbar">
      <xsl:with-param name="pageType" select="'help'"/>
      <xsl:with-param name="label" select="'WSDL Doc Help'"/>
    </xsl:call-template>
    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>
                              
</xsl:stylesheet>
