<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" 
        version="1.0">

  <xsl:template name="buildOverview">
  <redirect:write select="concat($outputDir,'overview-summary.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:text>Overview</xsl:text>
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <xsl:call-template name="topNavbar">
      <xsl:with-param name="pageType" select="'overview'"/>
      <xsl:with-param name="label" select="'Overview'"/>
    </xsl:call-template>

    <CENTER>
    <H2>
    <xsl:value-of select="$docTitle"/> <!-- Generated WSDL Documentation -->
    </H2>
    </CENTER>
    <P>
    This document is generated documentation produced from the following
    WSDL files:
    </P>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN="2"><FONT SIZE="+2">
    <B>WSDL Files Processed</B></FONT></TD>
    </TR>
    <xsl:for-each select="/wsdlfilelist/entry">
      <xsl:sort select="@filename"/>

      <xsl:variable name="fname">
        <xsl:call-template name="filenameFix">
          <xsl:with-param name="wsdlFileName" select="@filename"/>
        </xsl:call-template>
      </xsl:variable>

      <xsl:variable name="fnwosfx">
        <xsl:value-of select="substring-before($fname, '.wsdl')"/>
      </xsl:variable>

      <TR BGCOLOR="white" CLASS="TableRowColor">
      <TD WIDTH="20%">
      <B><A HREF="{concat($fnwosfx, '/definitions-summary.html')}">
        <xsl:value-of select="$fname"/>
      </A></B>
      </TD>
      <TD><!-- FIRST SENTENCE OF wsdl:documentation if present -->
      <xsl:call-template name="firstSentence">
        <xsl:with-param name="el" select="document(@filename)/wsdl:definitions"/>
      </xsl:call-template>
      </TD>
      </TR>
    </xsl:for-each>
    </TABLE>
    <xsl:call-template name="botNavbar">
      <xsl:with-param name="pageType" select="'overview'"/>
      <xsl:with-param name="label" select="'Overview'"/>
    </xsl:call-template>
    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>

</xsl:stylesheet>
