<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" 
        version="1.0">

  <xsl:template match="wsdl:definitions" mode="frame">
    <xsl:param name="file"/>

    <xsl:variable name="fname">
      <xsl:call-template name="filenameFix">
        <xsl:with-param name="wsdlFileName" select="$file"/>
      </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="fnwosfx">
      <xsl:value-of select="substring-before($fname, '.wsdl')"/>
    </xsl:variable>

    <!--
    <xsl:message><xsl:text>Generating definitions frame for </xsl:text>
      <xsl:value-of select="$fnwosfx"/><xsl:text>...</xsl:text>
    </xsl:message>
    -->

  <redirect:write select="concat($outputDir,$fnwosfx,'/definitions-frame.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:value-of select="@name"/>
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <FONT size="+1" CLASS="FrameTitleFont">
    <A HREF="definitions-summary.html" TARGET="detailFrame">
      <xsl:value-of select="$fnwosfx"/>
    </A>
    </FONT>
    <!-- CREATE A TABLE FOR EACH TOP LEVEL ELEMENT TYPE -->
    <xsl:if test="wsdl:types">
      <TABLE BORDER="0" WIDTH="100%">
      <TR>
      <TD><FONT size="+1" CLASS="FrameHeadingFont">
      Types</FONT>
      <FONT CLASS="FrameItemFont">
      <xsl:apply-templates select="wsdl:types" mode="frame">
        <xsl:with-param name="file" select="$file"/>
      </xsl:apply-templates>
      </FONT>
      </TD>
      </TR>
      </TABLE>
    </xsl:if>
    <xsl:if test="wsdl:message">
      <TABLE BORDER="0" WIDTH="100%">
      <TR>
      <TD><FONT size="+1" CLASS="FrameHeadingFont">
      Messages</FONT>
      <FONT CLASS="FrameItemFont">
      <xsl:apply-templates select="wsdl:message" mode="frame"/>
      </FONT>
      </TD>
      </TR>
      </TABLE>
    </xsl:if>
    <xsl:if test="wsdl:portType">
      <TABLE BORDER="0" WIDTH="100%">
      <TR>
      <TD><FONT size="+1" CLASS="FrameHeadingFont">
      PortTypes</FONT>
      <FONT CLASS="FrameItemFont">
      <xsl:apply-templates select="wsdl:portType" mode="frame"/>
      </FONT>
      </TD>
      </TR>
      </TABLE>
    </xsl:if>
    <xsl:if test="wsdl:binding">
      <TABLE BORDER="0" WIDTH="100%">
      <TR>
      <TD><FONT size="+1" CLASS="FrameHeadingFont">
      Bindings</FONT>
      <FONT CLASS="FrameItemFont">
      <xsl:apply-templates select="wsdl:binding" mode="frame"/>
      </FONT>
      </TD>
      </TR>
      </TABLE>
    </xsl:if>
    <xsl:if test="wsdl:service">
      <TABLE BORDER="0" WIDTH="100%">
      <TR>
      <TD><FONT size="+1" CLASS="FrameHeadingFont">
      Services</FONT>
      <FONT CLASS="FrameItemFont">
      <xsl:apply-templates select="wsdl:service" mode="frame"/>
      </FONT>
      </TD>
      </TR>
      </TABLE>
    </xsl:if>
    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>

  <xsl:template match="wsdl:types" mode="frame">
    <xsl:param name="file"/>

    <xsl:variable name="fname">
      <xsl:call-template name="filenameFix">
        <xsl:with-param name="wsdlFileName" select="$file"/>
      </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="fnwosfx">
      <xsl:value-of select="substring-before($fname, '.wsdl')"/>
    </xsl:variable>

      <BR />
      <A HREF="{concat($fnwosfx,'-types.html')}" TARGET="detailFrame">
        <xsl:value-of select="$fnwosfx"/>
      </A>
  </xsl:template>

  <xsl:template match="wsdl:message" mode="frame">
      <BR />
      <A HREF="{concat(@name,'-message.html')}" TARGET="detailFrame">
        <xsl:value-of select="@name"/>
      </A>
  </xsl:template>

  <xsl:template match="wsdl:portType" mode="frame">
      <BR />
      <A HREF="{concat(@name,'-porttype.html')}" TARGET="detailFrame">
        <xsl:value-of select="@name"/>
      </A>
  </xsl:template>

  <xsl:template match="wsdl:binding" mode="frame">
      <BR />
      <A HREF="{concat(@name,'-binding.html')}" TARGET="detailFrame">
        <xsl:value-of select="@name"/>
      </A>
  </xsl:template>

  <xsl:template match="wsdl:service" mode="frame">
      <BR />
      <A HREF="{concat(@name,'-service.html')}" TARGET="detailFrame">
        <xsl:value-of select="@name"/>
      </A>
  </xsl:template>

</xsl:stylesheet>
