<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" 
        version="1.0">

  <xsl:template match="wsdl:portType">
    <xsl:param name="file"/>

    <xsl:variable name="fname">
      <xsl:call-template name="filenameFix">
        <xsl:with-param name="wsdlFileName" select="$file"/>
      </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="fnwosfx">
      <xsl:value-of select="substring-before($fname, '.wsdl')"/>
    </xsl:variable>

  <redirect:write select="concat($outputDir,$fnwosfx,'/',@name,'-porttype.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:value-of select="@name" />
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <xsl:call-template name="topNavbar">
      <xsl:with-param name="pageType" select="'porttype'"/>
      <xsl:with-param name="label" select="$fnwosfx"/>
    </xsl:call-template>
    <xsl:comment> ======== START OF PORTTYPE DATA ======== </xsl:comment>
    <H2>
    <FONT SIZE="-1">
      <xsl:value-of select="$fnwosfx" />
    </FONT>
    <BR />
      <xsl:text>PortType </xsl:text>
      <xsl:value-of select="@name"/>
    </H2>
    <DL>
    <DT>
    <B>
      <xsl:text>All Known Bindings:</xsl:text>
    </B>
    </DT>
    <DD>
      <xsl:call-template name="knownBindings">
        <xsl:with-param name="pn" select="@name"/>
      </xsl:call-template>
    </DD>
    </DL>
    <HR />
    <DL>
    <DT>
      <xsl:text>PortType </xsl:text>
    <B>
      <xsl:value-of select="@name"/>
    </B>
    </DT>
    </DL>
    <P>
    <xsl:call-template name="getDocumentation">
      <xsl:with-param name="el" select="current()"/>
    </xsl:call-template>
    </P>
    <P></P>
    <HR />
    <P></P>
    <xsl:comment> ========== OPERATION SUMMARY =========== </xsl:comment>
    <A NAME="porttype_summary"> <!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN="2">
    <FONT SIZE="+2">
    <B>
      <xsl:text>Operation Summary</xsl:text>
    </B>
    </FONT>
    </TD>
    </TR>
      <xsl:apply-templates select="wsdl:operation" mode="porttype-summary"/>
    </TABLE>
    <P></P>
    <xsl:comment> ============ OPERATION DETAIL ========== </xsl:comment>
    <A NAME="porttype_detail"> <!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN="1">
    <FONT SIZE="+2">
    <B>
      <xsl:text>Operation Detail</xsl:text>
    </B>
    </FONT>
    </TD>
    </TR>
    </TABLE>
      <xsl:apply-templates select="wsdl:operation" mode="porttype-detail"/>
    <HR />
    <xsl:comment> ========= END OF PORTTYPE DATA ========= </xsl:comment>
    <xsl:call-template name="botNavbar">
      <xsl:with-param name="pageType" select="'porttype'"/>
      <xsl:with-param name="label" select="$fnwosfx"/>
    </xsl:call-template>
    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>

  <xsl:template match="wsdl:operation" mode="porttype-summary">
    <xsl:variable name="operationName" select="@name" />
    <xsl:variable name="curdf" select="../../@name"/>
    <xsl:variable name="inmsgname">
      <xsl:call-template name="makeLocal">
        <xsl:with-param name="qname" select="current()/wsdl:input/@message"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inmsg"
      select="../../wsdl:message[@name=$inmsgname]"/>
    <xsl:variable name="outmsgname">
      <xsl:call-template name="makeLocal">
        <xsl:with-param name="qname" select="current()/wsdl:output/@message"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outmsg"
      select="../../wsdl:message[@name=$outmsgname]"/>
    <xsl:variable name="sig">
      <xsl:call-template name="makeSignature">
        <xsl:with-param name="operation" select="."/>
        <xsl:with-param name="inputmsg" select="$inmsg"/>
      </xsl:call-template>
    </xsl:variable>

    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="15%">
    <xsl:if test="string-length($outmsg/@name) &gt; 0">
      <FONT SIZE="-1">
      <CODE>
      <A HREF="{concat($outmsg/@name,'-message.html')}">
        <xsl:value-of select="$outmsg/@name" />
      </A>
      </CODE>
      </FONT>
    </xsl:if>
    </TD>
    <TD>
    <CODE>
    <B>
    <A HREF="{concat('#',$sig)}">
      <xsl:value-of select="$operationName" />
    </A>
    </B>
    <xsl:text>(</xsl:text>
    <xsl:if test="count(wsdl:input) &gt; 0">
      <xsl:if test="string-length($inmsg/@name) &gt; 0">
        <A HREF="{concat($inmsg/@name,'-message.html')}">
          <xsl:value-of select="$inmsg/@name" />
        </A>
      </xsl:if>
    </xsl:if>
    <xsl:text>)</xsl:text>
    </CODE>
    <BR />
    <xsl:call-template name="firstSentence">
      <xsl:with-param name="el" select="current()"/>
    </xsl:call-template>
    </TD>
    </TR>
  </xsl:template>

  <xsl:template match="wsdl:operation" mode="porttype-detail">
    <xsl:variable name="operationName" select="@name" />
    <xsl:variable name="curdf" select="../../@name"/>
    <xsl:variable name="inmsgname">
      <xsl:call-template name="makeLocal">
        <xsl:with-param name="qname" select="current()/wsdl:input/@message"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inmsg"
      select="../../wsdl:message[@name=$inmsgname]"/>
    <xsl:variable name="outmsgname">
      <xsl:call-template name="makeLocal">
        <xsl:with-param name="qname" select="current()/wsdl:output/@message"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outmsg"
      select="../../wsdl:message[@name=$outmsgname]"/>
    <xsl:variable name="faultmsgname">
      <xsl:call-template name="makeLocal">
        <xsl:with-param name="qname" select="current()/wsdl:fault/@message"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="faultmsg"
      select="../../wsdl:message[@name=$faultmsgname]"/>
    <xsl:variable name="sig">
      <xsl:call-template name="makeSignature">
        <xsl:with-param name="operation" select="."/>
        <xsl:with-param name="inputmsg" select="$inmsg"/>
      </xsl:call-template>
    </xsl:variable>

    <A NAME="{$sig}"> <!-- --></A>
    <H3>
      <xsl:value-of select="$operationName" />
    </H3>
    <PRE>
    <xsl:if test="string-length($outmsg/@name) &gt; 0">
      <A HREF="{concat($outmsg/@name,'-message.html')}">
        <xsl:value-of select="$outmsg/@name" />
      </A>
    </xsl:if>
      <xsl:text> </xsl:text>
    <B>
      <xsl:value-of select="$operationName" />
    </B>
      <xsl:text>(</xsl:text>
      <xsl:if test="count(wsdl:input) &gt; 0">
        <xsl:if test="string-length($inmsg/@name) &gt; 0">
          <A HREF="{concat($inmsg/@name,'-message.html')}">
              <xsl:value-of select="$inmsg/@name" />
          </A>
        </xsl:if>
      </xsl:if>
      <xsl:text>)</xsl:text>
    </PRE>
    <DL>
    <DD>
    <xsl:call-template name="getDocumentation">
      <xsl:with-param name="el" select="current()"/>
    </xsl:call-template>
    </DD>
    <P></P>
    <xsl:if test="$inmsg">
      <DT>
      <B>
        <xsl:text>Parameters:</xsl:text>
      </B>
      </DT>
      <xsl:for-each select="$inmsg/wsdl:part">
        <DD><CODE>
        <xsl:value-of select="@name" />
        </CODE> -     
        <xsl:call-template name="firstSentence">
          <xsl:with-param name="el" select="current()"/>
        </xsl:call-template>
        </DD>
      </xsl:for-each>
    </xsl:if>
    <xsl:if test="$outmsg/wsdl:part[1]">
      <DT>
      <B>
        <xsl:text>Returns:</xsl:text>
      </B>
      </DT>
      <DD><CODE>
        <xsl:value-of select="$outmsg/wsdl:part[1]/@name" />
      </CODE> - 
      <xsl:call-template name="firstSentence">
        <xsl:with-param name="el" select="$outmsg/wsdl:part[1]"/>
      </xsl:call-template>
      </DD>
    </xsl:if>
    <xsl:if test="wsdl:fault">
      <DT>
      <B>
        <xsl:text>Faults:</xsl:text>
      </B>
      </DT>
      <xsl:for-each select="wsdl:fault">
        <DD><CODE>
        <xsl:value-of select="@name" />
        </CODE> - 
        <xsl:call-template name="firstSentence">
          <xsl:with-param name="el" select="current()"/>
        </xsl:call-template>
        </DD>
      </xsl:for-each>
    </xsl:if>
    </DL>
    <HR />
  </xsl:template>

</xsl:stylesheet>
