<?xml version="1.0" ?>
<xsl:stylesheet 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" 
        version="1.0">

  <xsl:template match="wsdl:types">
    <xsl:param name="file"/>

    <xsl:variable name="fname">
      <xsl:call-template name="filenameFix">
        <xsl:with-param name="wsdlFileName" select="$file"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="fnwosfx">
      <xsl:value-of select="substring-before($fname, '.wsdl')"/>
    </xsl:variable>

  <redirect:write select="concat($outputDir,$fnwosfx,'/',$fnwosfx,'-types.html')">
    <HTML>
    <HEAD>
    <xsl:comment>Generated by wsdldoc on <xsl:value-of select="wev-ext:getDate()" /></xsl:comment>
    <TITLE>
      <xsl:value-of select="substring-before(@filename,'.wsdl')"/>
    </TITLE>
    <LINK REL="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style"></LINK>
    </HEAD>
    <BODY BGCOLOR="white">
    <xsl:call-template name="topNavbar">
      <xsl:with-param name="pageType" select="'types'"/>
      <xsl:with-param name="label" select="../@name"/>
    </xsl:call-template>

    <xsl:comment> ======== START OF TYPES DATA ======== </xsl:comment>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN="1">
    <FONT SIZE="+2">
    <B>
      <xsl:text>Type Information</xsl:text>
    </B>
    </FONT>
    </TD>
    </TR>
    </TABLE>

    <XMP><xsl:copy-of select="."/></XMP>

    <xsl:comment> ========= END OF TYPES DATA ========= </xsl:comment>

    <xsl:call-template name="botNavbar">
      <xsl:with-param name="pageType" select="'types'"/>
      <xsl:with-param name="label" select="../@name"/>
    </xsl:call-template>

    </BODY>
    </HTML>
  </redirect:write>
  </xsl:template>

</xsl:stylesheet>
