<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
        exclude-result-prefixes="wsdl" 
        xmlns:lxslt="http://xml.apache.org/xslt" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" version="1.0">

  <lxslt:component prefix="wev-ext" functions="getDate">
    <lxslt:script lang="javascript">

      function getDate()
      {
        var d = new Date();
        return d.toLocaleString();
      }
    </lxslt:script>
  </lxslt:component>

  <xsl:template name="topNavbar">
    <xsl:param name="pageType"/>
    <xsl:param name="label"/>

    <xsl:comment> ========== START OF NAVBAR ========== </xsl:comment>
    <A NAME="navbar_top"> <!-- --></A>
    <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
    <TR>
    <TD COLSPAN="2" BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
    <A NAME="navbar_top_firstrow"> <!-- --></A>
    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
    <TR ALIGN="center" VALIGN="top">

    <xsl:choose>
      <xsl:when test="$pageType='overview'">
        <TD CLASS="" valign="middle"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='index'
                   or $pageType='help'">

        <TD CLASS="" valign="middle"><A HREF="overview-summary.html"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="overview-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../overview-summary.html"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../overview-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='definitions'">
        <TD CLASS="" valign="middle"><img src="../images/definition.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/definition.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="definitions-summary.html"><img src="../images/definition.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="definitions-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='binding'">
        <TD CLASS="" valign="middle"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='message'">
        <TD CLASS="" valign="middle"><img src="../images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='porttype'">
        <TD CLASS="" valign="middle"><img src="../images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='service'">
        <TD CLASS="" valign="middle"><img src="../images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='types'">
        <TD CLASS="" valign="middle"><img src="../images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='index'">
        <TD CLASS="" valign="middle"><img src="images/operation.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><A HREF="operation-index.html"><img src="images/operation.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="operation-index.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../operation-index.html"><img src="../images/operation.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../operation-index.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/help.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'">
        <TD CLASS="" valign="middle"><A HREF="help-doc.html"><img src="images/help.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="help-doc.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../help-doc.html"><img src="../images/help.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../help-doc.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>
    </TR>
    </TABLE>
    </TD>
    </TR>
    <xsl:if test="not($pageType='overview'
                   or $pageType='index'
                   or $pageType='help'
                   or $pageType='definitions')">
      <TR>
      <TD VALIGN="top" CLASS="NavBarCell2">
      <FONT SIZE="-2">
      <A HREF="{concat('#', $pageType, '_summary')}">
      <xsl:text>SUMMARY</xsl:text>
      </A>
      </FONT>
      </TD>
      <TD VALIGN="top" CLASS="NavBarCell2">
      <FONT SIZE="-2">
      <A HREF="{concat('#', $pageType, '_detail')}">
      <xsl:text>DETAIL</xsl:text>
      </A>
      </FONT>
      </TD>
      </TR>
    </xsl:if>
    </TABLE>
    <xsl:comment> =========== END OF NAVBAR =========== </xsl:comment>
    <HR />
  </xsl:template>

  <xsl:template name="botNavbar">
    <xsl:param name="pageType"/>
    <xsl:param name="label"/>

    <xsl:comment> ========== START OF NAVBAR ========== </xsl:comment>
    <HR />
    <A NAME="navbar_bottom"> <!-- --></A>
    <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
    <TR>
    <TD COLSPAN="2" BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
    <A NAME="navbar_bottom_firstrow"> <!-- --></A>
    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
    <TR ALIGN="center" VALIGN="top">

    <xsl:choose>
      <xsl:when test="$pageType='overview'">
        <TD CLASS="" valign="middle"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='index'
                   or $pageType='help'">

        <TD CLASS="" valign="middle"><A HREF="overview-summary.html"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="overview-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../overview-summary.html"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../overview-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Overview  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='definitions'">
        <TD CLASS="" valign="middle"><img src="../images/definition.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/definition.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="definitions-summary.html"><img src="../images/definition.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="definitions-summary.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Definitions  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='binding'">
        <TD CLASS="" valign="middle"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/binding.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Binding  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='message'">
        <TD CLASS="" valign="middle"><img src="../images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/message.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Message  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='porttype'">
        <TD CLASS="" valign="middle"><img src="../images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/port_type.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>PortType  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='service'">
        <TD CLASS="" valign="middle"><img src="../images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/service.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Service  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='types'">
        <TD CLASS="" valign="middle"><img src="../images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><img src="../images/types.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Types  </xsl:text>
        </FONT>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='index'">
        <TD CLASS="" valign="middle"><img src="images/operation.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='help'">
        <TD CLASS="" valign="middle"><A HREF="operation-index.html"><img src="images/operation.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="operation-index.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../operation-index.html"><img src="../images/operation.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../operation-index.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Op Index  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$pageType='help'">
        <TD CLASS="" valign="middle"><img src="images/help.gif" width="20" height="18" alt="" border="0"/></TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev">
        <FONT CLASS="NavBarFont1Rev">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </TD>
      </xsl:when>
      <xsl:when test="$pageType='overview'
                   or $pageType='index'">
        <TD CLASS="" valign="middle"><A HREF="help-doc.html"><img src="images/help.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="help-doc.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:when>
      <xsl:otherwise>
        <TD CLASS="" valign="middle"><A HREF="../help-doc.html"><img src="../images/help.gif" width="20" height="18" alt="" border="0"/></A></TD>
        <TD BGCOLOR="#CCFFFF" CLASS="NavBarCell1">
        <A HREF="../help-doc.html">
        <FONT CLASS="NavBarFont1">
        <xsl:text>Help  </xsl:text>
        </FONT>
        </A>
        </TD>
      </xsl:otherwise>
    </xsl:choose>
    </TR>
    </TABLE>
    </TD>
    </TR>
    <xsl:if test="not($pageType='overview'
                   or $pageType='index'
                   or $pageType='help'
                   or $pageType='definitions')">
      <TR>
      <TD VALIGN="top" CLASS="NavBarCell2">
      <FONT SIZE="-2">
      <A HREF="{concat('#', $pageType, '_summary')}">
      <xsl:text>SUMMARY</xsl:text>
      </A>
      </FONT>
      </TD>
      <TD VALIGN="top" CLASS="NavBarCell2">
      <FONT SIZE="-2">
      <A HREF="{concat('#', $pageType, '_detail')}">
      <xsl:text>DETAIL</xsl:text>
      </A>
      </FONT>
      </TD>
      </TR>
    </xsl:if>
    </TABLE>
    <xsl:comment> =========== END OF NAVBAR =========== </xsl:comment>
  </xsl:template>

  <xsl:template name="knownBindings">
    <xsl:param name="pn"/>

    <xsl:for-each select="../wsdl:binding">
    <xsl:sort />
      <xsl:variable name="ltype">
        <xsl:call-template name="makeLocal">
          <xsl:with-param name="qname" select="@type"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test="$ltype=$pn">
        <A HREF="{concat(@name,'-binding.html')}">
          <xsl:value-of select="@name"/>
        </A>
        <xsl:if test="not(position()=last())">
          <xsl:text>, </xsl:text>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="buildIndexDotHtml">
  <redirect:write select="concat($outputDir,'index.html')">
    <HTML>
    <HEAD>
    <TITLE>
      <xsl:text>WSDL Documentation Comments</xsl:text>
    </TITLE>
    </HEAD>
    <FRAMESET cols="20%,80%">
      <FRAMESET rows="30%,70%">
        <FRAME src="definitions-list.html" name="defListFrame"></FRAME>
        <FRAME src="subelement-list.html" name="listFrame"></FRAME>
      </FRAMESET>
      <FRAME src="overview-summary.html"  name="detailFrame"></FRAME>
    </FRAMESET>
    <NOFRAMES>
      <BODY>
      <H2>
        <xsl:text>Frame Alert</xsl:text>
      </H2>
      <P>
        <xsl:text>This document is designed to be viewed using the frames feature. If you see this message, you are using a non-frame-capable web client.</xsl:text>
      </P>
      </BODY>
    </NOFRAMES>
    </HTML>
  </redirect:write>
  </xsl:template>

  <xsl:template name="makeSignature">
    <xsl:param name="operation"/>
    <xsl:param name="inputmsg"/>
    <xsl:value-of select="$operation/@name"/>
    <xsl:text>(</xsl:text>
    <xsl:if test="count($operation/wsdl:input) &gt; 0">
      <xsl:value-of select="$inputmsg/@name"/>
    </xsl:if>
    <xsl:text>)</xsl:text>
  </xsl:template>

  <xsl:template name="firstSentence">
    <xsl:param name="el"/>

    <xsl:choose>
      <xsl:when test="$el/wsdl:documentation">
        <xsl:choose>
          <xsl:when test="contains($el/wsdl:documentation, '.')">
            <xsl:value-of select="substring-before($el/wsdl:documentation, '.')"/><xsl:text>.</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="substring($el/wsdl:documentation, '1', '80')"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>No documentation available for element.</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="wsdl:documentation">

    <xsl:copy-of select="node()" />
  </xsl:template>

  <xsl:template name="getDocumentation">
    <xsl:param name="el"/>

    <xsl:choose>
      <xsl:when test="$el/wsdl:documentation">
        <xsl:apply-templates select="$el/wsdl:documentation" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>No documentation available for element.</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="makeLocal">
    <xsl:param name="qname"/>

    <xsl:choose>
      <xsl:when test="contains($qname,':')">
        <xsl:value-of select="substring-after($qname, ':')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$qname"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="getName">
    <xsl:param name="path"/>

    <xsl:choose>
      <xsl:when test="not(normalize-space(substring-after($path, '/')))">
        <xsl:copy-of select="$path"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="rest" select="substring-after($path, '/')"/>
        <xsl:call-template name="getName">
          <xsl:with-param name="path"><xsl:copy-of select="$rest"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="makeShortName">
    <xsl:param name="name"/>

      <xsl:variable name="fname">
        <xsl:call-template name="getName">
          <xsl:with-param name="path" select="$name"/>
        </xsl:call-template>
      </xsl:variable>
    
      <xsl:value-of select="substring-before($fname, '.wsdl')"/>
  </xsl:template>

  <xsl:template name="filenameFix">
    <xsl:param name="wsdlFileName"/>

      <xsl:choose>
        <xsl:when test="document($wsdlFileName)/wsdl:definitions/@name!=''">
          <xsl:value-of select="document($wsdlFileName)/wsdl:definitions/@name"/>.wsdl
        </xsl:when>

        <xsl:otherwise>
          <xsl:call-template name="getName">
            <xsl:with-param name="path" select="$wsdlFileName"/>
          </xsl:call-template>
        </xsl:otherwise>

      </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
